# httpsvc.h File Reference

`#include <ptlib/svcproc.h>`
`#include <ptlib/sockets.h>`
`#include <ptclib/httpform.h>`
`#include <ptclib/cypher.h>`

Go to the source code of this file.

## Classes

class | PHTTPServiceThread
class | PHTTPServiceProcess
struct | PHTTPServiceProcess::Info
class | PConfigPage
class | PConfigSectionsPage
class | PRegisterPage
class | PServiceHTML
class | PServiceMacro
class | PServiceHTTPString
class | PServiceHTTPFile
class | PServiceHTTPDirectory

## Defines

#define | P_EMPTY
#define | PCREATE_SERVICE_MACRO(name, request, args)
#define | PCREATE_SERVICE_MACRO_BLOCK(name, request, args, block)

## Define Documentation

#define P_EMPTY

#define PCREATE_SERVICE_MACRO | ( | name,
|  | request,
|  | args |  | ) |

Value:

    class PServiceMacro_##name : public PServiceMacro { \
        public: \
          PServiceMacro_##name() : PServiceMacro(#name, false) { } \
          PString Translate(PHTTPRequest &, const PString &, const PString &) const; \
      }; \
      static const PServiceMacro_##name serviceMacro_##name; \
      PString PServiceMacro_##name::Translate(PHTTPRequest & request, const PString & args, const PString &) const

#define PCREATE_SERVICE_MACRO_BLOCK | ( | name,
|  | request,
|  | args,
|  | block |  | ) |

Value:

    class PServiceMacro_##name : public PServiceMacro { \
        public: \
          PServiceMacro_##name() : PServiceMacro(#name, true) { } \
          PString Translate(PHTTPRequest &, const PString &, const PString &) const; \
      }; \
      static const PServiceMacro_##name serviceMacro_##name; \
      PString PServiceMacro_##name::Translate(PHTTPRequest & request, const PString & args, const PString & block) const